Search for all
- Search 7.x for all
- Search 8.9.x for all
- Search 10.3.x for all
- Search 11.x for all
- Search main for all
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| UserReference::entityId | function | core/ |
Gets the name of the field property which holds the entity ID. |
| UserReference::getEntityTypeMigrationId | function | core/ |
Gets the plugin ID for the reference type migration. |
| UserReference::getEntityTypeMigrationId | function | core/ |
Gets the plugin ID for the reference type migration. |
| UserReference::getFieldFormatterMap | function | core/ |
Get a map between D6 formatters and D8 formatters for this field type. |
| UserRegistrationResource | class | core/ |
Represents user registration as a resource. |
| UserRegistrationResource.php | file | core/ |
|
| UserRegistrationResource::$currentUser | property | core/ |
The current user. |
| UserRegistrationResource::$userSettings | property | core/ |
User settings config instance. |
| UserRegistrationResource::create | function | core/ |
Creates an instance of the plugin. |
| UserRegistrationResource::ensureAccountCanRegister | function | core/ |
Ensure the account can be registered in this request. |
| UserRegistrationResource::post | function | core/ |
Responds to user registration POST request. |
| UserRegistrationResource::sendEmailNotifications | function | core/ |
Sends email notifications if necessary for user that was registered. |
| UserRegistrationResource::__construct | function | core/ |
Constructs a new UserRegistrationResource instance. |
| UserRegistrationResourceTest | class | core/ |
Tests User Registration REST resource. |
| UserRegistrationResourceTest.php | file | core/ |
|
| UserRegistrationResourceTest::$currentUser | property | core/ |
The current user. |
| UserRegistrationResourceTest::$logger | property | core/ |
Logger service. |
| UserRegistrationResourceTest::$reflection | property | core/ |
A reflection of self::$testClass. |
| UserRegistrationResourceTest::$testClass | property | core/ |
Class to be tested. |
| UserRegistrationResourceTest::$userSettings | property | core/ |
A user settings config instance. |
| UserRegistrationResourceTest::ERROR_MESSAGE | constant | core/ |
|
| UserRegistrationResourceTest::setUp | function | core/ |
|
| UserRegistrationResourceTest::testEmptyPost | function | core/ |
Tests that an exception is thrown when no data provided for the account. |
| UserRegistrationResourceTest::testExistedEntityPost | function | core/ |
Tests that only new user accounts can be registered. |
| UserRegistrationResourceTest::testRegistrationAdminOnlyPost | function | core/ |
Tests that admin permissions are required to register a user account. |
| UserRegistrationResourceTest::testRegistrationAnonymousOnlyPost | function | core/ |
Tests that only anonymous users can register users. |
| UserRegistrationRestTest | class | core/ |
Tests registration of user using REST. |
| UserRegistrationRestTest.php | file | core/ |
|
| UserRegistrationRestTest::$auth | property | core/ |
The authentication mechanism to use in this test. |
| UserRegistrationRestTest::$defaultTheme | property | core/ |
The theme to install as the default for testing. |
| UserRegistrationRestTest::$entityTypeId | property | core/ |
Entity type ID for this storage. |
| UserRegistrationRestTest::$modules | property | core/ |
Modules to install. |
| UserRegistrationRestTest::$resourceConfigId | property | core/ |
The REST Resource Config entity ID under test (i.e. a resource type). |
| UserRegistrationRestTest::assertNormalizationEdgeCases | function | core/ |
Asserts normalization-specific edge cases. |
| UserRegistrationRestTest::createRequestBody | function | core/ |
Create the request body. |
| UserRegistrationRestTest::createRequestOptions | function | core/ |
Helper function to generate the request body. |
| UserRegistrationRestTest::getExpectedUnauthorizedAccessCacheability | function | core/ |
Returns the expected cacheability of an unauthorized access response. |
| UserRegistrationRestTest::getExpectedUnauthorizedAccessMessage | function | core/ |
Return the expected error message. |
| UserRegistrationRestTest::registerRequest | function | core/ |
Make a REST user registration request. |
| UserRegistrationRestTest::registerUser | function | core/ |
Registers a user via REST resource. |
| UserRegistrationRestTest::setUp | function | core/ |
|
| UserRegistrationRestTest::setUpAuthorization | function | core/ |
Sets up the necessary authorization. |
| UserRegistrationRestTest::testRegisterUser | function | core/ |
Tests that only anonymous users can register users. |
| UserRegistrationRestTest::TEST_EMAIL_DOMAIN | constant | core/ |
|
| UserRegistrationRestTest::USER_EMAIL_DOMAIN | constant | core/ |
|
| UserRegistrationTest | class | core/ |
Tests registration of user under different configurations. |
| UserRegistrationTest.php | file | core/ |
|
| UserRegistrationTest::$defaultTheme | property | core/ |
The theme to install as the default for testing. |
| UserRegistrationTest::$modules | property | core/ |
Modules to enable. |
| UserRegistrationTest::assertRegistrationFormCacheTagsWithUserFields | function | core/ |
Asserts the presence of cache tags on registration form with user fields. |
Pagination
- Previous page
- Page 1596
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.